<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:href="894500Z1T8KCF7NNNX52-2025-12-31.xsd#besatur_LongTermLoans" xlink:label="LongTermLoans" xlink:title="LongTermLoans" xlink:type="locator" />
    <link:label id="label_LongTermLoansLabel_70730" xlink:label="label_LongTermLoansLabel_70730" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_LongTermLoansLabel_70730" xml:lang="en" xlink:type="resource">Long Term Loans</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermLoans" xlink:title="label: from LongTermLoans to label_LongTermLoansLabel_70730" xlink:to="label_LongTermLoansLabel_70730" xlink:type="arc" />
    <link:loc xlink:href="894500Z1T8KCF7NNNX52-2025-12-31.xsd#besatur_ShortTermBorrowings" xlink:label="ShortTermBorrowings" xlink:title="ShortTermBorrowings" xlink:type="locator" />
    <link:label id="label_ShortTermBorrowingsLabel_94680" xlink:label="label_ShortTermBorrowingsLabel_94680" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ShortTermBorrowingsLabel_94680" xml:lang="en" xlink:type="resource">Short Term Borrowings</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermBorrowings" xlink:title="label: from ShortTermBorrowings to label_ShortTermBorrowingsLabel_94680" xlink:to="label_ShortTermBorrowingsLabel_94680" xlink:type="arc" />
    <link:loc xlink:href="894500Z1T8KCF7NNNX52-2025-12-31.xsd#besatur_SalesRevenue" xlink:label="SalesRevenue" xlink:title="SalesRevenue" xlink:type="locator" />
    <link:label id="label_SalesRevenueLabel_36080" xlink:label="label_SalesRevenueLabel_36080" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_SalesRevenueLabel_36080" xml:lang="en" xlink:type="resource">Sales Revenue</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SalesRevenue" xlink:title="label: from SalesRevenue to label_SalesRevenueLabel_36080" xlink:to="label_SalesRevenueLabel_36080" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>